libcompress-bzip2-perl_2.18-2_amd64.deb


Advertisement

Description

libcompress-bzip2-perl - Perl interface to Bzip2 compression library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libcompress-bzip2-perl
Package version 2.18
Package release 2
Package architecture amd64
Package type deb
Installed size 130 B
Download size 52.48 KB
Official Mirror ftp.br.debian.org
The Compress::Bzip2 module provides a Perl interface to the Bzip2
compression library, a relevant subset of the functionality provided
by Bzip2  is available in Compress::Bzip2.
The module can be split into two general areas of functionality, namely
in-memory compression/decompression and read/write access to bzip2
files.

Alternatives

Package Version Architecture Repository
libcompress-bzip2-perl_2.18-2_i386.deb 2.18 i386 Debian Main
libcompress-bzip2-perl - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.4
perl >= 5.20.0-6
perlapi-5.20.0 -

Download

Type URL
Binary Package libcompress-bzip2-perl_2.18-2_amd64.deb
Source Package libcompress-bzip2-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcompress-bzip2-perl deb package:
    # sudo apt-get install libcompress-bzip2-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Compress/Bzip2.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Compress/Bzip2/Bzip2.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Compress/Bzip2/autosplit.ix
/usr/share/doc/libcompress-bzip2-perl/ANNOUNCE
/usr/share/doc/libcompress-bzip2-perl/NEWS.gz
/usr/share/doc/libcompress-bzip2-perl/README
/usr/share/doc/libcompress-bzip2-perl/changelog.Debian.gz
/usr/share/doc/libcompress-bzip2-perl/changelog.gz
/usr/share/doc/libcompress-bzip2-perl/copyright
/usr/share/man/man3/Compress::Bzip2.3pm.gz

Changelog

2014-09-15 - Niko Tyni <ntyni@debian.org>
libcompress-bzip2-perl (2.18-2) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Niko Tyni ]
* Add autopkgtest support with Testsuite: autopkgtest-pkg-perl
2014-08-12 - gregor herrmann <gregoa@debian.org>
libcompress-bzip2-perl (2.18-1) unstable; urgency=low
* Team upload.
[ Xavier Guimard ]
* Imported Upstream version 2.17
[ gregor herrmann ]
* New upstream release 2.18.
* Strip trailing slash from metacpan URLs.
* Add perl as alternative to Recommends.
* Declare compliance with Debian Policy 3.9.5.
2013-08-09 - gregor herrmann <gregoa@debian.org>
libcompress-bzip2-perl (2.16-1) unstable; urgency=low
* Team upload.
* New upstream release.
2013-05-05 - Xavier Guimard <x.guimard@free.fr>
libcompress-bzip2-perl (2.15-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* debian/watch: remove obsolete comment.
[ Xavier Guimard ]
* Imported Upstream version 2.15
* Remove patches now included in upstream
* Add libcompress-raw-bzip2-perl and libio-compress-perl in recommended
dependencies
* Add libtest-pod-perl in build dependencies
* Update debian/copyright:
+ update ppport.h copyright
+ update years
2013-01-10 - Xavier Guimard <x.guimard@free.fr>
libcompress-bzip2-perl (2.09-3) unstable; urgency=low
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ryan Niebur ]
* Email change: Ryan Niebur -> ryan@debian.org
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Xavier Guimard ]
* Update source format to 3.0 (quilt) and remove README.source
* Update debian/copyright (years and format)
* Update debian/rules to use "dh $@"
* Bump Standards-Version to 3.9.4
* Bump debhelper compatibility to 9 to get hardening flags
* Update patches
2008-12-01 - Ryan Niebur <ryanryan52@gmail.com>
libcompress-bzip2-perl (2.09-2) unstable; urgency=low
* Take over for the Debian Perl Group; Closes: #507393, #507387 -- RFA
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza);
${misc:Depends} to Depends: field. Changed: Maintainer set to Debian
Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was: Timo
Schneider <timo.schneider@s2004.tu-chemnitz.de>).
* debian/watch: use dist-based URL.
* add me to Uploaders
* run 'dh-make-perl --refresh --dh 7'
- update to debhelper 7
- new copyright format
- install docs
* update to Policy version 3.8.0
* fix pod2man errors
- use quilt to make changes to upstream source
* Add debian/README.source to document quilt usage, as required by
Debian Policy since 3.8.0.
* move old maintainers direct changes to a quilt patch
2008-05-21 - Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
libcompress-bzip2-perl (2.09-1.2) unstable; urgency=low
* Non-maintainer upload.
* Fix bug compressing empty files (closes: #464205)
2008-04-05 - Stephen Gran <sgran@debian.org>
libcompress-bzip2-perl (2.09-1.1) unstable; urgency=low
* Non-maintainer upload.
* Conditionally remove $(TMP)/usr/share/perl5 (closes: #463555)
2005-08-29 - Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>
libcompress-bzip2-perl (2.09-1) unstable; urgency=low
* New upstream release (Closes: #324698)
2005-07-03 - Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>
libcompress-bzip2-perl (2.08-1) unstable; urgency=low
* Initial Release (Closes: #317064).

See Also

Package Description
libcompress-lzf-java_1.0.3-1_all.deb Ning-compress-LZF
libcompress-raw-bzip2-perl_2.066-1_amd64.deb low-level interface to bzip2 compression library
libcompress-raw-lzma-perl_2.066-1_amd64.deb low-level interface to lzma compression library
libcompress-raw-zlib-perl_2.066-1_amd64.deb low-level interface to zlib compression library
libconcord-dev_1.1-3_amd64.deb configuration tool for Harmony remotes - development files
libconcord3_1.1-3_amd64.deb configuration tool for Harmony remotes - runtime libraries
libconcurrent-java-doc_1.3.4-4_all.deb documentation and javadoc API for libconcurrent-java
libconcurrent-java_1.3.4-4_all.deb utility classes for concurrent java programming
libconcurrentlinkedhashmap-java-doc_1.1~jdk5-1_all.deb Documentation for libconcurrentlinkedhashmap-java
libconcurrentlinkedhashmap-java_1.1~jdk5-1_all.deb Implementation of java.util.LinkedHashMap with concurrency support
libconfdb-dev_1.4.6-1.1_amd64.deb Standards-based cluster framework, Confdb devel files
libconfdb4_1.4.6-1.1_amd64.deb Standards-based cluster framework, Confdb library
libconfig++-dev_1.4.9-2_amd64.deb parsing/manipulation of structured config files (C++ development)
libconfig++8-dev_1.4.9-2_amd64.deb Transitional package for libconfig++-dev
libconfig++9_1.4.9-2_amd64.deb parsing/manipulation of structured configuration files (C++ binding)
Advertisement
Advertisement